import { HttpStatus, HttpException } from '@nestjs/common';
import { AreasSocialesService } from './areas-sociales.service';
import { CreateAreasSocialesDto } from './dto/create-areas-sociales.dto';
import { UpdateAreasSocialesDto } from './dto/update-areas-sociales.dto';
export declare class AreasSocialesController {
    private areasSocialesService;
    constructor(areasSocialesService: AreasSocialesService);
    getAreasSocialesSinInmueble(inmueble_id: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            icono_svg: string;
            deleted_at: Date;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        }[];
    }>;
    getAreasSocialesAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            icono_svg: string;
            deleted_at: Date;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        }[];
    }>;
    getAreasSociales(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                icono_svg: string;
                deleted_at: Date;
                inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                icono_svg: string;
                deleted_at: Date;
                inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getAreasSocialesById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        icono_svg: string;
        deleted_at: Date;
        inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
    }>;
    createAreasSociales(newAreasSociales: CreateAreasSocialesDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            icono_svg: string;
            deleted_at: Date;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateAreasSociales(id: number, areasSociales: UpdateAreasSocialesDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: any;
            nombre: string;
            icono_svg: string;
            deleted_at: any;
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteAreasSociales(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
